Subject: [xmpp] When to (not?) send <features/>

From: Matthew Wild <[email-masked]>
Date: Tue, 8 Jun 2010 18:31:56 +0100

I just noticed:

"  The receiving entity indicates completion of the stream negotiation
   process by sending to the initiating entity either an empty
   <features/> element or a <features/> element that contains only
   voluntary features.  After doing so, the receiving entity MUST NOT
   send additional stream features to the initiating entity [...]
"

It's awkward to re-word, but doesn't this imply that if only voluntary
features are left and the client negotiated a feature that didn't
require
a stream restart, you wouldn't send another <features/>? Is this intentional?

Matthew